Instalando a webcam Creative VF0400 no Ubuntu 8.04 (Hardy Heron)

Publicado por andre uebe em 22/01/2009

[ Hits: 8.994 ]

Blog: http://resa.net.br

 


Instalando a webcam Creative VF0400 no Ubuntu 8.04 (Hardy Heron)



Ao conectar a webcam USB Creative VF0400 no Ubuntu 8.04, a mesma simplesmente não funciona. No Ubuntu 8.10 (Intrepid Ibex) este problema já não existe mais, pois o driver da mesma já está automaticamente disponibilizado no sistema.

A problemática surge nos usuários do Linux Ubuntu 8.10 que usam o Skype, pois, apesar da webcam ser instalada automaticamente e rodar sem problemas no Cheese ou no aMSN, não funciona no Skype (me parece que o Skype usa o dispositivo de vídeo V4l que não é mais utilizado no 8.10). Desta maneira, como usuário do Skype e desejoso de uma solução rápida, optei por usar o Ubuntu 8.04 e configurar o driver da referida webcam.

Existem algumas maneiras de se fazer isto. A que será apresentada a seguir é a que, depois de alguns teste, pareceu a mais rápida e menos trabalhosa.

O processo de colocar a webcam Creative para funcionar consiste na instalação do Easycam (que automatizará o processo de instalação do driver) e um ajuste nas configurações para que funcione no Skype. Antes de iniciar os procedimento a seguir, conecte a webcam na porta USB do seu computador.

Instalação do EasyCam e do driver

No shell (Menu Aplicações --> Acessórios --> Console), digite:

sudo gedit /etc/apt/sources.list

E inclua as linhas ao final do arquivo:

deb http://blognux.free.fr/ubuntu hardy main
deb-src http://blognux.free.fr/ubuntu hardy main

A seguir, salve e feche o arquivo aberto e, ainda no shell, digite:

sudo apt-get update

Com isto a lista de repositórios será atualizada e você poderá instalar o Easycam através do comando:

sudo apt-get install easycam2-gtk

Para quem estiver usando o KDE em vez do Gnome, prefira a versão qt (biblioteca gráfica) do mesmo usando o comando a seguir em vez do anterior:

sudo apt-get install easycam2-qt

Após finalizado o processo de instalação, execute o Easycam digitando:

gksudo 'python /usr/share/EasyCam2/core.py --gtk'

Para quem está no KDE, o comando deve ser:

kdesudo 'python /usr/share/EasyCam2/core.py --qt'

Siga as instruções do programa que praticamente lhe dá a confirmação do passo-a-passo. Feito isto, a lâmpada azul da webcam deve ascender.

Perceba que, a partir daí, a imagem já aparece no Cheese (visualizador de imagem de webcam), mas no Skype ainda aparece um fundo escuro. Faz-se necessário, portanto, uma configuração adicional.

Configuração adicional

Ainda no Shell Console, digite:

sudo gedit /etc/modprobe.conf

E acrescente a linha:

options ov51x-jpeg forceblock=1

Salve o programa, reinicialize o sistema e pronto! Sua webcam estará perfeitamente funcional, inclusive no Skype.

Referências e orientações finais

Nas referências a seguir existe, inclusive, orientações para instalação da webcam Creative em sistemas de 64-bits (uma vez que o processo para obter o EasyCam - e que no está descrito neste artigo - é um pouco diferente do processo para sistemas de 32 bits).
Outras dicas deste autor

Ambiente X reinicializa sozinho após instalar driver nvidia - SOLUÇÃO

Código Fonte do Tribal Trouble liberado

MIDI, Timidity e Rosegarden no Kurumin: Solução definitiva

Convertendo 3gp e amr para mpeg e vice-versa

Corrigindo erro do VirtualBox no Ubuntu 8.04

Leitura recomendada

Gambas 2 (parte 3)

Kali Linux XFCE com tela preta ao fechar tampa de notebook [Resolvido]

Colocando o XRDP para funcionar

Resolvendo problemas de codificação no Dropline Gnome

PHP4 + HTTPD2

  

Comentários
[1] Comentário enviado por annakamilla em 25/01/2009 - 00:44h

sua dica é igual a minha só que quando tive que configurar minha cam não precisei adcionar essas linhas

[2] Comentário enviado por andreuebe em 25/01/2009 - 16:53h

Oi Anna

Realmente há semelhanças mas a intensão não foi criar redundâncias. :) Na verdade, quando tentei localizar algo no viva o linux, busquei especificamente sobre o modelo desta camera e, daí, não ter localizado seu artigo que, por sinal, está bem explicativo.

Em relação a 2a. linha, tive que buscar esta solução uma vez que, mesmo após os procedimentos que adotamos, a mesma não funcionou no skype. Somente após acrescentar a linha descrita.

Um abração e obrigado

Andre


[3] Comentário enviado por tramando em 29/01/2009 - 00:51h

Tentei seguir script, mas ao atualizar o source.list, notei que foi exibida a mensagem "404 not found".
O repositório foi removido?

[4] Comentário enviado por andreuebe em 29/01/2009 - 06:32h

tramando

Veja como está o arquivo source.list da minha máquina:

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy main restricted
deb-src http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy-updates main restricted
deb-src http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy universe
deb-src http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy universe
deb http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy-updates universe
deb-src http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy multiverse
deb http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy-updates multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
deb http://archive.canonical.com/ubuntu">http://archive.canonical.com/ubuntu hardy partner
deb-src http://archive.canonical.com/ubuntu">http://archive.canonical.com/ubuntu hardy partner

deb http://security.ubuntu.com/ubuntu">http://security.ubuntu.com/ubuntu hardy-security main restricted
deb-src http://security.ubuntu.com/ubuntu">http://security.ubuntu.com/ubuntu hardy-security main restricted
deb http://security.ubuntu.com/ubuntu">http://security.ubuntu.com/ubuntu hardy-security universe
deb-src http://security.ubuntu.com/ubuntu">http://security.ubuntu.com/ubuntu hardy-security universe
deb http://security.ubuntu.com/ubuntu">http://security.ubuntu.com/ubuntu hardy-security multiverse
deb-src http://security.ubuntu.com/ubuntu">http://security.ubuntu.com/ubuntu hardy-security multiverse

#webcam
deb http://blognux.free.fr/ubuntu">http://blognux.free.fr/ubuntu hardy main
deb-src http://blognux.free.fr/ubuntu">http://blognux.free.fr/ubuntu hardy main



E o resultado do apt-get update:

Atingido http://archive.canonical.com hardy Release.gpg
Ign http://archive.canonical.com hardy/partner Translation-pt_BR
Obtendo:1 http://packages.medibuntu.org hardy Release.gpg [197B]
Ign http://packages.medibuntu.org hardy/free Translation-pt_BR
Atingido http://archive.canonical.com hardy Release
Ign http://blognux.free.fr hardy Release.gpg
Ign http://packages.medibuntu.org hardy/non-free Translation-pt_BR
Obtendo:2 http://packages.medibuntu.org hardy Release [11,7kB]
Ign http://packages.medibuntu.org hardy Release
Atingido http://archive.canonical.com hardy/partner Packages
Atingido http://packages.medibuntu.org hardy/free Packages
Atingido http://archive.canonical.com hardy/partner Sources
Atingido http://packages.medibuntu.org hardy/non-free Packages
Ign http://blognux.free.fr hardy/main Translation-pt_BR
Atingido http://br.archive.ubuntu.com hardy Release.gpg
Atingido http://br.archive.ubuntu.com hardy/main Translation-pt_BR
Ign http://blognux.free.fr hardy Release
Atingido http://br.archive.ubuntu.com hardy/restricted Translation-pt_BR
Atingido http://br.archive.ubuntu.com hardy/universe Translation-pt_BR
Atingido http://br.archive.ubuntu.com hardy/multiverse Translation-pt_BR
Atingido http://br.archive.ubuntu.com hardy-updates Release.gpg
Ign http://br.archive.ubuntu.com hardy-updates/main Translation-pt_BR
Ign http://br.archive.ubuntu.com hardy-updates/restricted Translation-pt_BR
Ign http://br.archive.ubuntu.com hardy-updates/universe Translation-pt_BR
Ign http://br.archive.ubuntu.com hardy-updates/multiverse Translation-pt_BR
Atingido http://br.archive.ubuntu.com hardy-backports Release.gpg
Ign http://br.archive.ubuntu.com hardy-backports/main Translation-pt_BR
Ign http://blognux.free.fr hardy/main Packages
Ign http://br.archive.ubuntu.com hardy-backports/restricted Translation-pt_BR
Ign http://br.archive.ubuntu.com hardy-backports/universe Translation-pt_BR
Ign http://br.archive.ubuntu.com hardy-backports/multiverse Translation-pt_BR
Atingido http://br.archive.ubuntu.com hardy Release
Atingido http://br.archive.ubuntu.com hardy-updates Release
Ign http://blognux.free.fr hardy/main Sources
Atingido http://br.archive.ubuntu.com hardy-backports Release
Atingido http://br.archive.ubuntu.com hardy/main Packages
Atingido http://br.archive.ubuntu.com hardy/restricted Packages
Atingido http://br.archive.ubuntu.com hardy/main Sources
Atingido http://br.archive.ubuntu.com hardy/restricted Sources
Atingido http://br.archive.ubuntu.com hardy/universe Packages
Atingido http://br.archive.ubuntu.com hardy/universe Sources
Atingido http://br.archive.ubuntu.com hardy/multiverse Packages
Atingido http://br.archive.ubuntu.com hardy/multiverse Sources
Atingido http://blognux.free.fr hardy/main Packages
Atingido http://blognux.free.fr hardy/main Sources
Atingido http://br.archive.ubuntu.com hardy-updates/main Packages
Atingido http://br.archive.ubuntu.com hardy-updates/restricted Packages
Atingido http://br.archive.ubuntu.com hardy-updates/main Sources
Atingido http://br.archive.ubuntu.com hardy-updates/restricted Sources
Atingido http://br.archive.ubuntu.com hardy-updates/universe Packages
Atingido http://br.archive.ubuntu.com hardy-updates/universe Sources
Atingido http://br.archive.ubuntu.com hardy-updates/multiverse Packages
Atingido http://br.archive.ubuntu.com hardy-updates/multiverse Sources
Atingido http://br.archive.ubuntu.com hardy-backports/main Packages
Atingido http://br.archive.ubuntu.com hardy-backports/restricted Packages
Atingido http://br.archive.ubuntu.com hardy-backports/universe Packages
Atingido http://br.archive.ubuntu.com hardy-backports/multiverse Packages
Atingido http://br.archive.ubuntu.com hardy-backports/main Sources
Atingido http://br.archive.ubuntu.com hardy-backports/restricted Sources
Atingido http://br.archive.ubuntu.com hardy-backports/universe Sources
Atingido http://br.archive.ubuntu.com hardy-backports/multiverse Sources
Err http://security.ubuntu.com hardy-security Release.gpg
Não foi possível conectar em security.ubuntu.com:80 (91.189.88.37), conexão expirou
Err http://security.ubuntu.com hardy-security/main Translation-pt_BR
Impossível conectar em security.ubuntu.com http:
Err http://security.ubuntu.com hardy-security/restricted Translation-pt_BR
Impossível conectar em security.ubuntu.com http:
Err http://security.ubuntu.com hardy-security/universe Translation-pt_BR
Impossível conectar em security.ubuntu.com http:
Err http://security.ubuntu.com hardy-security/multiverse Translation-pt_BR
Impossível conectar em security.ubuntu.com http:
Baixados 198B em 2min0s (2B/s)
Lendo lista de pacotes...


Verfique que não houve problemas (principalmente aos repositorios "blognux" recém inseridos. Provavelmente o erro se deve a outra lista e o blognux está até instalado.

Retorne

Abs

Andre

[5] Comentário enviado por annakamilla em 29/01/2009 - 13:11h

deve ser agum erro de conexão com a internet

[6] Comentário enviado por andreuebe em 29/01/2009 - 17:16h

Sim Anna!

Tens razão! Este tipo de erro é muito comum quando não há conexão ativa.

Sugiro ao tramando que verifique se somente este repositório está com problema ou todos os outros quando se tenta executar o apt-get update (neste caso) o problema seria, realmente, da conexão.

Abs

Andre

[7] Comentário enviado por cosmopc em 25/07/2011 - 21:39h


quando tento seguir suas intruções da essse erro oque pode ta acontecendo?
alguem sabe ?


carlos@carlos-Positivo-Mobile:~$ sudo apt-get install easycam2-gtk
[sudo] password for carlos:
Sorry, try again.
[sudo] password for carlos:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da "Incoming".
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
easycam2-gtk : Depende: python2.4-glade2 mas não é instalável
Depende: python2.4-gtk2 mas não é instalável
Depende: easycam2-core mas não será instalado
E: Pacotes quebrados
carlos@carlos-Positivo-Mobile:~$

quando tento seguir suas intruções da essse erro oque pode ta acontecendo?
alguem sabe ?

[8] Comentário enviado por andreuebe em 27/07/2011 - 09:23h

Cosmopc

Imagino que esteja utilizando a versão mais atual do Ubuntu: 11.04

Em vez de usar o comando "apt-get", substitua-o pelo comando "aptitude"

Veja o que acontece e me retorne

Abs

Andre



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts